List drafts
curl --request GET \
--url https://posted-api.example.com/api/drafts \
--header 'Authorization: Bearer <token>'import requests
url = "https://posted-api.example.com/api/drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://posted-api.example.com/api/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/drafts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/drafts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/api/drafts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/drafts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "33333333-3333-4333-8333-333333333333",
"text": "An unfinished studio update.",
"additionalPosts": [],
"mediaOverrides": {},
"textOverrides": {},
"connectionIds": [
"11111111-1111-4111-8111-111111111111"
],
"connections": [
{
"id": "11111111-1111-4111-8111-111111111111",
"provider": "bluesky",
"accountId": "did:plc:example",
"name": "Alex Morgan",
"handle": "alex.example.test",
"avatarUrl": null,
"state": "connected",
"createdAt": "2027-01-18T09:30:00.000Z"
}
],
"media": [
{
"id": "44444444-4444-4444-8444-444444444444",
"fileName": "studio.jpg",
"contentType": "image/jpeg",
"sizeBytes": 245760,
"width": 1600,
"height": 900,
"alt": "A bright studio desk beside a window",
"durationSeconds": null
}
],
"version": 1,
"createdAt": "2027-01-18T09:30:00.000Z",
"updatedAt": "2027-01-18T09:30:00.000Z",
"draftedBy": {
"id": "66666666-6666-4666-8666-666666666666",
"name": "Alex Morgan",
"avatarUrl": null
}
}
],
"total": 1,
"page": 1,
"pageSize": 20
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}List drafts
List team drafts. Drafts never enter the delivery queue.
GET
/
api
/
drafts
List drafts
curl --request GET \
--url https://posted-api.example.com/api/drafts \
--header 'Authorization: Bearer <token>'import requests
url = "https://posted-api.example.com/api/drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://posted-api.example.com/api/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/drafts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/drafts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/api/drafts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/drafts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "33333333-3333-4333-8333-333333333333",
"text": "An unfinished studio update.",
"additionalPosts": [],
"mediaOverrides": {},
"textOverrides": {},
"connectionIds": [
"11111111-1111-4111-8111-111111111111"
],
"connections": [
{
"id": "11111111-1111-4111-8111-111111111111",
"provider": "bluesky",
"accountId": "did:plc:example",
"name": "Alex Morgan",
"handle": "alex.example.test",
"avatarUrl": null,
"state": "connected",
"createdAt": "2027-01-18T09:30:00.000Z"
}
],
"media": [
{
"id": "44444444-4444-4444-8444-444444444444",
"fileName": "studio.jpg",
"contentType": "image/jpeg",
"sizeBytes": 245760,
"width": 1600,
"height": 900,
"alt": "A bright studio desk beside a window",
"durationSeconds": null
}
],
"version": 1,
"createdAt": "2027-01-18T09:30:00.000Z",
"updatedAt": "2027-01-18T09:30:00.000Z",
"draftedBy": {
"id": "66666666-6666-4666-8666-666666666666",
"name": "Alex Morgan",
"avatarUrl": null
}
}
],
"total": 1,
"page": 1,
"pageSize": 20
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Read access: a read-enabled personal or team REST API key, or a signed-in user. OAuth clients use the corresponding MCP tool through /mcp.
List team drafts. Drafts never enter the delivery queue.
Drafts are team-owned and never enter the delivery queue. Pagination is numbered and pageSize is at most 100.
MCP clients can use
list_drafts for this operation.
Request conventions · API keys · MCP connectionsAuthorizations
bearerAuthsessionCookie
Personal or team Posted REST API key
Query Parameters
integer
Required range:
1 <= x <= 9007199254740991integer
Required range:
1 <= x <= 100Was this page helpful?
